<button mat-mini-fab [matMenuTriggerFor]="menu" class="avatar-button">
  <img src="{{ authService.user?.photoURL ? authService.user?.photoURL : '/assets/dummy-user.png' }}" alt="Avatar" class="avatar" />
</button>

<mat-menu #menu="matMenu" class="user-menu">
  <div fxLayout="column" fxLayoutAlign="center center">
    <img src="{{ authService.user?.photoURL ? authService.user?.photoURL : '/assets/dummy-user.png' }}" alt="Avatar" class="big-avatar" />

    <section *ngIf="authService.user?.displayName" fxLayout="column" fxLayoutAlign="center center">
      <h3 class="m8T">{{ authService.user?.displayName }}</h3>
      <small class="grey">{{ authService.user?.email }}</small>
    </section>

    <section *ngIf="!authService.user?.displayName">
      <h3 class="m8T">{{ authService.user?.email }}</h3>
    </section>

    <div class="divider">
      <mat-divider></mat-divider>
    </div>

    <section name="user-menu-buttons">
      <button mat-button type="button" [routerLink]="['/dashboard']">{{ 'COMPONENTS.USER_MENU.DASHBOARD' | translate }}</button>
    </section>

    <div class="divider">
      <mat-divider></mat-divider>
    </div>
    <button mat-stroked-button type="button" (click)="logout()" color="warn">{{ 'COMPONENTS.USER_MENU.LOGOUT' | translate }}</button>
  </div>
</mat-menu>
